clan::BlendStateDescription Class Reference - ClanLib SDK
Description: clan::BlendStateDescription Class Reference

Public Member Functions | Static Public Member Functions | List of all members
clan::BlendStateDescription Class Reference
clanDisplay Display

Blend state description. More...

`#include <blend_state_description.h>`

## Public Member Functions
| BlendStateDescription ()
BlendStateDescription | clone () const
void | enable_blending (bool value)
| Enable/Disable blending.
void | enable_color_write (bool red, bool green, bool blue, bool alpha)
| Enable/disable writing to the color buffer.
void | enable_logic_op (bool enabled)
| Enable/disable logic op. (clanGL only)
void | get_blend_equation (BlendEquation &out_color, BlendEquation &out_alpha) const
void | get_blend_function (BlendFunc &out_src, BlendFunc &out_dest, BlendFunc &out_src_alpha, BlendFunc &out_dest_alpha) const
void | get_color_write (bool &out_red, bool &out_green, bool &out_blue, bool &out_alpha) const
LogicOp | get_logic_op () const
bool | is_blending_enabled () const
bool | is_logic_op_enabled () const
bool | operator< (const BlendStateDescription &other) const
bool | operator== (const BlendStateDescription &other) const
void | set_blend_equation (BlendEquation color, BlendEquation alpha)
| Set the constant color used in the blend equations.
void | set_blend_function (BlendFunc src, BlendFunc dest, BlendFunc src_alpha, BlendFunc dest_alpha)
| Set the blend functions.
void | set_logic_op (LogicOp op)
| Set logic operation. (clanGL only)

## Static Public Member Functions
static BlendStateDescription | blend (bool src_premultiplied, bool dest_premultiplied=true)
static BlendStateDescription | opaque ()

## Detailed Description

Blend state description.

## Constructor & Destructor Documentation

## ◆ BlendStateDescription()

clan::BlendStateDescription::BlendStateDescription | ( |  | ) |

## Member Function Documentation

## ◆ blend()

static BlendStateDescription clan::BlendStateDescription::blend | ( | bool | src_premultiplied,
|  | bool | dest_premultiplied = true )
| static

## ◆ clone()

BlendStateDescription clan::BlendStateDescription::clone | ( |  | ) | const

## ◆ enable_blending()

void clan::BlendStateDescription::enable_blending | ( | bool | value | ) |

Enable/Disable blending.

## ◆ enable_color_write()

void clan::BlendStateDescription::enable_color_write | ( | bool | red,
|  | bool | green,
|  | bool | blue,
|  | bool | alpha )

Enable/disable writing to the color buffer.

## ◆ enable_logic_op()

void clan::BlendStateDescription::enable_logic_op | ( | bool | enabled | ) |

Enable/disable logic op. (clanGL only)

## ◆ get_blend_equation()

void clan::BlendStateDescription::get_blend_equation | ( | BlendEquation & | out_color,
|  | BlendEquation & | out_alpha ) const

## ◆ get_blend_function()

void clan::BlendStateDescription::get_blend_function | ( | BlendFunc & | out_src,
|  | BlendFunc & | out_dest,
|  | BlendFunc & | out_src_alpha,
|  | BlendFunc & | out_dest_alpha ) const

## ◆ get_color_write()

void clan::BlendStateDescription::get_color_write | ( | bool & | out_red,
|  | bool & | out_green,
|  | bool & | out_blue,
|  | bool & | out_alpha ) const

## ◆ get_logic_op()

LogicOp clan::BlendStateDescription::get_logic_op | ( |  | ) | const

## ◆ is_blending_enabled()

bool clan::BlendStateDescription::is_blending_enabled | ( |  | ) | const

## ◆ is_logic_op_enabled()

bool clan::BlendStateDescription::is_logic_op_enabled | ( |  | ) | const

## ◆ opaque()

static BlendStateDescription clan::BlendStateDescription::opaque | ( |  | ) |
| static

## ◆ operator<()

bool clan::BlendStateDescription::operator< | ( | const BlendStateDescription & | other | ) | const

## ◆ operator==()

bool clan::BlendStateDescription::operator== | ( | const BlendStateDescription & | other | ) | const

## ◆ set_blend_equation()

void clan::BlendStateDescription::set_blend_equation | ( | BlendEquation | color,
|  | BlendEquation | alpha )

Set the constant color used in the blend equations.

## ◆ set_blend_function()

void clan::BlendStateDescription::set_blend_function | ( | BlendFunc | src,
|  | BlendFunc | dest,
|  | BlendFunc | src_alpha,
|  | BlendFunc | dest_alpha )

Set the blend functions.

## ◆ set_logic_op()

void clan::BlendStateDescription::set_logic_op | ( | LogicOp | op | ) |

Set logic operation. (clanGL only)

The documentation for this class was generated from the following file:

- blend_state_description.h